Loading...
Searching...
No Matches
Opm::RestartIO::LogiHEAD Class Reference

## Classes

struct | PVTModel
| Key characteristics of simulation run's PVT model. More...
struct | SatfuncFlags
| Key characteristics of simulation model's saturation functions. More...

## Public Member Functions

| LogiHEAD (const LogiHEAD &rhs)=default
| LogiHEAD (LogiHEAD &&rhs)=default
LogiHEAD & | operator= (const LogiHEAD &rhs)=default
LogiHEAD & | operator= (LogiHEAD &&rhs)=default
LogiHEAD & | variousParam (const bool e300_radial, const bool e100_radial, const int nswlmx, const bool enableHyster)
LogiHEAD & | pvtModel (const PVTModel &pvt)
| Assign PVT model characteristics.
LogiHEAD & | saturationFunction (const SatfuncFlags &satfunc)
| Assign saturation function characteristics.
const std::vector< bool > & | data () const
LogiHEAD & | network (const int maxNoNodes)
| Logical switch to indicate that the network option is used.

## Member Function Documentation

## pvtModel()

Opm::RestartIO::LogiHEAD & Opm::RestartIO::LogiHEAD::pvtModel | ( | const PVTModel & | pvt | ) |

Assign PVT model characteristics.

Parameters

  [in] | pvt | Current run's PVT model characteristics.

Returns
  .

## saturationFunction()

Opm::RestartIO::LogiHEAD & Opm::RestartIO::LogiHEAD::saturationFunction | ( | const SatfuncFlags & | satfunc | ) |

Assign saturation function characteristics.

Parameters

  [in] | satfunc | Current run's saturation function characteristics.

Returns
  .

The documentation for this class was generated from the following files:

- opm/output/eclipse/LogiHEAD.hpp
- opm/output/eclipse/LogiHEAD.cpp